# X.org requires lazy relocations to work.
%undefine _hardened_build
%undefine _strict_symbol_defs_build

%global commit0 9be4b4aa7c81b9b43496e8621954a0f4b343f3b1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date0 20211025

Summary:   Xorg X11 opentegra driver
Name:      xorg-x11-drv-opentegra
Version:   0.7.0
Release:   38.%{date0}git%{shortcommit0}%{?dist}
URL:       https://github.com/grate-driver/xf86-video-opentegra
License:   MIT

Source0:   %{url}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

ExclusiveArch: armv7hl

BuildRequires: libtool

BuildRequires: bison
BuildRequires: flex
BuildRequires: kernel-headers
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(libturbojpeg)
BuildRequires: pkgconfig(liblz4)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(xrandr)
BuildRequires: xorg-x11-server-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: autoconf automake libtool
Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

%description
X.Org X11 opentegra driver for NVIDIA Tegra GPUs.

%prep
%autosetup -n xf86-video-opentegra-%{commit0} -p1
autoreconf -vif

%build
%configure --disable-static
%make_build V=1

%install
%make_install

find %{buildroot} -regex ".*\.la$" -exec rm -f {} ';'


%files
%doc README
%license COPYING
%{_libdir}/xorg/modules/drivers/opentegra_drv.so
%{_mandir}/man4/*
%{_datadir}/X11/xorg.conf.d/opentegra.conf

%changelog
* Wed Dec 22 2021 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-38.20211025git9be4b4a
- Update to 20211025

* Mon May 31 2021 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-37.20210530git58fcbaf
- Update to 20210530

* Wed Apr 07 2021 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-36
- Rebuilt

* Mon Feb 01 2021 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-35
- Update to snapshot

* Mon Sep 14 2020 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-34
- Update snapshot

* Tue Aug 18 2020 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-33
- Update snapshot

* Thu Apr 23 2020 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-29
- Update snapshot

* Mon Jul 29 2019 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-28
- Update snapshoot

* Sun Mar 24 2019 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-27
- Update snapshot

* Mon Jan 14 2019 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-26
- Update snapshot

* Thu Dec 06 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-25
- Update snapshot

* Mon Nov 19 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-24
- Update snapshot

* Thu Jul 12 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-23
- Switch to grate-driver branch

* Sun Feb 11 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-22
- Switch to digetx/exa-compositing branch

* Sat Feb 10 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-21
- Update snapshot

* Sun Dec 31 2017 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-20
- Update snapshot

* Wed Jul 12 2017 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-19
- Update snapshot

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 29 2016 Hans de Goede <hdegoede@redhat.com> - 0.7.0-8
- Add patches from upstream for use with xserver-1.19
- Rebuild against xserver-1.19

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Dave Airlie <airlied@redhat.com> - 0.7.0-6
- 1.15 ABI rebuild

* Tue Jun 23 2015 Adam Jackson <ajax@redhat.com> - 0.7.0-5
- Undefine _hardened_build

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-3
- xserver 1.17 ABI rebuild

* Fri Oct 10 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.0-2
- Don't build on aarch64 (all 64 chips are Nouveau based)

* Wed Jul 09 2014 Nicolas Chauvet <kwizart@gmail.com> - 0.7.0-1
- Update to 0.7.0

* Thu Apr 10 2014 Nicolas Chauvet <kwizart@gmail.com> - 0.6.0-1.3
- Updated snapshot

* Wed Apr 24 2013 Jiri Kastner <jkastner@fedoraproject.org> 0.6.0-1
- Initial package
